# Uses of Class
io.dapr.exceptions.DaprError

Packages that use DaprError
Package
Description
io.dapr.exceptions

## Uses of DaprError in io.dapr.exceptions

Methods in io.dapr.exceptions that return DaprError
Modifier and Type
Method
Description
`DaprError`
DaprError.`setDetails(List<Map<String,Object>> details)`
Sets the error details.
`DaprError`
DaprError.`setErrorCode(String errorCode)`
Sets the error code.
`DaprError`
DaprError.`setMessage(String message)`
Sets the error message.
Constructors in io.dapr.exceptions with parameters of type DaprError
Modifier
Constructor
Description
``
`DaprException(DaprError daprError, byte[] payload, int httpStatusCode)`
New exception from a server-side generated error code and message.
``
`DaprException(DaprError daprError, Throwable cause)`
New exception from a server-side generated error code and message.